<CsoundSynthesizer>
<CsInstruments>

# define RESCALE  # 8 #

instr 3
;	iamp1 = p4;
;	iamp2 = p5
;	ifrq1 = p6;
;	igain1 = p7
;	ibias1 = p7

	if1   = p4
	if2   = p5
	ipch  = int( cpspch( p6 ) )
	ivib  = p7
	ivib2 = p8
	iamt  = p9
	
	a2 oscil if1, 1 / p3, 3
	a3 oscil if2, 1 / p3, 4
	a2 =     a2 + a3
	a3 =     ( a2 * -1 ) + 1
	a4 =     ipch * iamt
	a4 oscil a4, ivib, 5
	a4 =     ipch + a4
	a5 =     a4 + ivib2
	a5 oscil a3, a5, 2, -1
	a4 oscil a2, a4, 1, -1
	a4 =     a2 * a4
	out a4 * 2046 * $RESCALE
	
endin

</CsInstruments>
<CsScore>
f1 0 512 -7 0 50 .999 155 .999 101 -.999 155 -.999 50 0
f2 0 512 -7 0 128 .999 256 -.999 128 0
f3 0 512 -7 .999 512 0
f4 0 512 -7 0 512 .999
f5 0 512 -10 .999

; * NOTE
; No original note list exists for this example.
; I used a modified version of the one found in
; pg59.csd.

i3 0 2 0 1 8.00 7.8277 4.109 .01
i3 2 1 1 0 8.00 7.8277 4.109 .01
;e 3

</CsScore>

</CsoundSynthesizer>